import { expect } from "chai";
import { mount } from "enzyme";
import React from "react";

import Choose from "../Choose";
import When from "../When";

describe('<Choose />', () => {
  it('should not accept span', () => {
    const Children = <React.Fragment>Hai</React.Fragment>
    const wrapper = mount(
      <Choose>{Children}</Choose>
    );
    expect(wrapper.contains(Children)).to.equal(false);
  });
  it('should accept When', () => {
    const Children = <React.Fragment>Hai</React.Fragment>
    const wrapper = mount(
      <Choose>
        <When condition={true}>
          {Children}
        </When>
      }</Choose>
    );
    expect(wrapper.contains(Children)).to.equal(true);
  });
});